Skip to content

Transaction Details

Retrieve detailed information about a specific transaction.

Endpoint

INFO

GET /api/v1/dashboard/transactions/{transaction}

Headers

HeaderValueRequired
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeDescription
transactionintegerTransaction ID

Example Request

bash
curl -X GET https://api.daakey.com/api/v1/dashboard/transactions/100 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}"

Response

Success (200)

json
{
  "success": true,
  "message": "Transaction retrieved",
  "data": {
    "id": 100,
    "type": "charge",
    "amount": 132.00,
    "currency": "USD",
    "status": "completed",
    "client": {
      "id": 1,
      "name": "John Doe",
      "email": "john@example.com"
    },
    "booking": {
      "id": 50,
      "reference": "BK-2024-00050",
      "vehicle": "Toyota Corolla (ABC-123)",
      "dates": {
        "start": "2024-01-15T10:00:00Z",
        "end": "2024-01-15T18:00:00Z"
      }
    },
    "payment_method": {
      "id": 1,
      "brand": "visa",
      "last_four": "4242",
      "exp_month": 12,
      "exp_year": 2025
    },
    "stripe": {
      "payment_intent_id": "pi_xxxxx",
      "charge_id": "ch_xxxxx"
    },
    "breakdown": {
      "subtotal": 120.00,
      "tax": 12.00,
      "fees": 0.00,
      "total": 132.00
    },
    "refunds": [],
    "created_at": "2024-01-15T10:00:00Z",
    "updated_at": "2024-01-15T10:00:00Z"
  },
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Daakey Car Sharing Platform